libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Fields

Data Fields
ln_hrz_posn Struct Reference

Horizontal Coordinates. More...

## Data Fields
double | az
double | alt

## Detailed Description

Horizontal Coordinates.

The Azimuth and Altitude of an object.

Angles are expressed in degrees.

Examples:
  asteroid.c, and transforms.c.

## Field Documentation

double ln_hrz_posn::alt

ALT. Object altitude.

0 deg = horizon, 90 deg = zenit, -90 deg = nadir

Examples:
  transforms.c.

Referenced by ln_get_equ_from_hrz(), ln_get_hrz_from_equ_sidereal_time(), ln_hhrz_to_hrz(), and ln_hrz_to_hhrz().

double ln_hrz_posn::az

AZ. Object azimuth.

0 deg = South, 90 deg = West, 180 deg = Nord, 270 deg = East

Examples:
  transforms.c.

Referenced by ln_get_equ_from_hrz(), ln_get_hrz_from_equ_sidereal_time(), ln_hhrz_to_hrz(), ln_hrz_to_hhrz(), and ln_hrz_to_nswe().